------------------------------------------------------------------------------
-- class 'Collect1Clock'
------------------------------------------------------------------------------

class 'Collect1Clock' (CollectNClock)

------------------------------------------------------------------------------
function Collect1Clock:__init(game_scene)
	CollectNClock.__init(self, game_scene)
	self.name = 'Collect1Clock'
	self.num_clocks_to_collect = 1
end

------------------------------------------------------------------------------
-- called to show the inform window saying 'you've unlocked achievment'
function Collect1Clock:showUnlockedWindow(callback)
	self.game_scene.timer:add(function()
		self.game_scene:getInformManager():show_message('achievment_1clock')
	end, 1)
	callback()
end

------------------------------------------------------------------------------
function Collect1Clock:showUnlockedScreen(callback)
	local screen = self:createScreen('Data/Scripts/Achievments/Collect1Clock/Collect1ClockScreen.lua', 'Collect1ClockScreen', callback)
	screen:show()
end
